%define upstream_name	 Jcode
%define upstream_version 2.07

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Japanese Charset Handle
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Jcode/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl-devel

%description
Jcode.pm supports both object and traditional approach. With object approach,
you can go like;

$iso_2022_jp = Jcode->new($str)->h2z->jis;

Which is more elegant than;
 
$iso_2022_jp = &jcode::convert(\$str,'jis',jcode::getcode(\str), "z");

For those unfamiliar with objects, Jcode.pm still supports getcode() and
convert().

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"
cd Unicode
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall_std
cd Unicode
%makeinstall_std

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Jcode
%{perl_vendorlib}/Jcode.pm
%{perl_vendorarch}/Jcode
%{perl_vendorarch}/auto/Jcode
%{_mandir}/*/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.70.0-6.mga3
+ Revision: 368828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.70.0-5.mga3
+ Revision: 250793
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 2.70.0-4.mga2
+ Revision: 104712
- Rebuild for perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 2.70.0-3.mga1
+ Revision: 12327
- imported package perl-Jcode

